API and developers

Update media

patch/v1/products/{product_id}/variants/{variant_id}/media/{media_id}

Update media title or URL on a variant.

Example

curl -X PATCH "https://api.ya.onl/v1/products/{product_id}/variants/{variant_id}/media/{media_id}" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{}'

Parameters

product_idintegerpathrequired

Product identifier

variant_idintegerpathrequired

Variant identifier

media_idintegerpathrequired

Media identifier

Request body

titlestring | null

Media title or alt text

urlstring | null

Public URL of the media file

Responses

200
Successful Response
401
Invalid or missing API key
403
API key lacks the products:write scope
404
Media not found
422
Validation Error
429
Rate limit exceeded
Need help?